<img src="https://github.com/shenyulu/easyclimate/blob/main/docs/source/_static/easyclimate-logo.svg?raw=true" alt="easyclimate">

<h2 align="center">一行のコードで気候データを分析する</h2>

<p align="center">
<a href="https://easyclimate.readthedocs.io/en/latest/"><strong>ドキュメント</strong> 「最新」</a> •
<a href="https://easyclimate.readthedocs.io/en/main/"><strong>ドキュメント</strong> 「メインブランチ」</a> •
<a href="https://shenyulu.github.io/easyclimate/"><strong>ドキュメント</strong> 「開発ブランチ」</a> •
<a href="https://github.com/shenyulu/easyclimate/blob/main/CONTRIBUTING.md"><strong>貢献</strong></a>
</p>

![PyPI - Version](https://img.shields.io/pypi/v/easyclimate)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/easyclimate)
![PyPI - Downloads](https://img.shields.io/pypi/dm/easyclimate)
[![codecov](https://codecov.io/gh/shenyulu/easyclimate/graph/badge.svg?token=CBG3IO5A5A)](https://codecov.io/gh/shenyulu/easyclimate)
[![pre-commit.ci status](https://results.pre-commit.ci/badge/github/shenyulu/easyclimate/main.svg)](https://results.pre-commit.ci/latest/github/shenyulu/easyclimate/main)
[![Documentation Status](https://readthedocs.org/projects/easyclimate/badge/?version=latest)](https://easyclimate.readthedocs.io/en/latest/?badge=latest)
[![DOI](https://zenodo.org/badge/465206111.svg)](https://zenodo.org/doi/10.5281/zenodo.10279567)
[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/shenyulu/easyclimate/main?labpath=docs%2Fexample)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

<div align="center">
<center><a href = "README.md">English</a> / <a href = "README_zh_CN.md">简体中文</a> / 日本語</center>
</div>

## 👋 概要

**Easy Climate** は、気候学を一行のコードで分析することを目的とした Python パッケージです。

現在まで、Python >= 3.10 に対応しています。

### ✨ プロジェクトの目的

* 冗長なデータおよびグラフィック処理コードを排除する。
* 最適な計算速度を得るために、numpy と xarray の構文を使用する。
* Dask を使用してスケーラブルな並列処理をサポートし、TB または PB 単位の気候データを処理できる。
* オープンソースソフトウェアで、アプリケーションの柔軟性を向上させる。

### 🚀 インストール方法

`easyclimate` は [pip](https://pypi.org/project/pip/) を使ってインストールできます。

```bash
pip install easyclimate
```

インストールに関する詳細は、ドキュメントを見てください。

## 💫 参加方法

👩🏾‍💻 **プロジェクト開発への貢献：**
私たちの [貢献ガイド](https://github.com/shenyulu/easyclimate/blob/main/CONTRIBUTING.md) をお読みいただき、どのように手伝ったりフィードバックを提供したりできるかをご確認ください。

🧑🏾‍🤝‍🧑🏼 **行動規範：**
このプロジェクトには [行動規範](https://github.com/shenyulu/easyclimate/blob/main/CODE_OF_CONDUCT.md) が定められています。
このプロジェクトに参加することで、その条件に従うことに同意したことになります。

> **インポスター症候群に関する免責事項：**
> あなたの助けが必要です。**本当に。** 頭の中に「まだ準備ができていない」「貢献するにはスキルが足りない」と言う小さな声が聞こえるかもしれませんが、その声は間違っています。最も重要なのは、**コードを書くこと以外にも貢献する価値のある方法がたくさんある** ということです。

## 🤗 貢献者

たくさん貢献者に感謝します！

[![Contributors](https://contrib.rocks/image?repo=shenyulu/easyclimate)](https://github.com/shenyulu/easyclimate/graphs/contributors)

## 🪪 オープンソースライセンス

これは無料のソフトウェアです。**BSD 3 Clause License**の条件で再配布および変更が可能です。
このライセンスのコピーは [`LICENSE`](https://github.com/shenyulu/easyclimate/blob/main/LICENSE) に記載されています。

## 💎 スター履歴

[![Star History Chart](https://api.star-history.com/svg?repos=shenyulu/easyclimate&type=Date)](https://star-history.com/#shenyulu/easyclimate&Date)
