<img src="https://github.com/shenyulu/easyclimate/blob/main/docs/source/_static/easyclimate-logo.svg?raw=true" alt="easyclimate">

<h2 align="center">一行代码分析气候学数据</h2>

<p align="center">
<a href="https://easyclimate.readthedocs.io/en/latest/"><strong>文档</strong> (latest)</a> •
<a href="https://easyclimate.readthedocs.io/en/main/"><strong>文档</strong> （主分支）</a> •
<a href="https://shenyulu.github.io/easyclimate/"><strong>文档</strong> （开发分支）</a> •
<a href="https://github.com/shenyulu/easyclimate/blob/main/CONTRIBUTING.md"><strong>贡献</strong></a>
</p>

![PyPI - Version](https://img.shields.io/pypi/v/easyclimate)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/easyclimate)
![PyPI - Downloads](https://img.shields.io/pypi/dm/easyclimate)
[![codecov](https://codecov.io/gh/shenyulu/easyclimate/graph/badge.svg?token=CBG3IO5A5A)](https://codecov.io/gh/shenyulu/easyclimate)
[![pre-commit.ci status](https://results.pre-commit.ci/badge/github/shenyulu/easyclimate/main.svg)](https://results.pre-commit.ci/latest/github/shenyulu/easyclimate/main)
[![Documentation Status](https://readthedocs.org/projects/easyclimate/badge/?version=latest)](https://easyclimate.readthedocs.io/en/latest/?badge=latest)
[![DOI](https://zenodo.org/badge/465206111.svg)](https://zenodo.org/doi/10.5281/zenodo.10279567)
[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/shenyulu/easyclimate/main?labpath=docs%2Fexample)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

<div align="center">
<center><a href = "README.md">English</a> / 简体中文 / <a href = "README_ja_JP.md">日本語</a></center>
</div>

## 👋 总览

**Easy Climate** 是一个Python包，旨在于一行代码分析气候学。


目前支持 Python >= 3.10.

### ✨ 项目目标

* 消除冗长的数据和图形处理代码。
* 使用 numpy 和 xarray 语法，以获得最佳计算速度。
* 使用 Dask 支持可扩展的并行处理，能够处理 TB 或 PB 级别的气候数据。
* 开源软件，提升应用的灵活性。

### 🚀 如何安装

你可以使用 [pip](https://pypi.org/project/pip/) 安装`easyclimate`：

```bash
pip install easyclimate
```

有关安装的更多信息，请查阅文档。

## 💫 参与其中

👩🏾‍💻 **参与项目开发：**
请参考
[贡献指南](https://github.com/shenyulu/easyclimate/blob/main/CONTRIBUTING.md)
了解您可以如何提供帮助和反馈。

🧑🏾‍🤝‍🧑🏼 **行为准则**
本项目发布时附有
[行为准则](https://github.com/shenyulu/easyclimate/blob/main/CODE_OF_CONDUCT.md)。
参与本项目即表示您同意遵守其条款。

> **冒名顶替综合症免责声明：**
> 我们需要你的帮助。**真的**。 你可能会有一个声音在你心里告诉你，你还没准备好，你不够有能力去做贡献。我们向你保证，那个声音是错的。最重要的是，除了写代码之外，**还有很多有价值的贡献方式**。

## 🤗 贡献者

感谢我们的众多贡献者！

[![Contributors](https://contrib.rocks/image?repo=shenyulu/easyclimate)](https://github.com/shenyulu/easyclimate/graphs/contributors)

## 🪪 开源许可

本软件为自由软件：您可以根据 **BSD 3 Clause License** 条款重新发布和/或修改本软件。
你可以根据 **BSD 3 Clause License** 的条款重新发布和/或修改它。该许可证的副本放置于[`LICENSE`](https://github.com/shenyulu/easyclimate/blob/main/LICENSE).

## 💎 星星历史

[![Star History Chart](https://api.star-history.com/svg?repos=shenyulu/easyclimate&type=Date)](https://star-history.com/#shenyulu/easyclimate&Date)
